[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Forcing correct version of Clamav to be installed



On Sat, 24 Feb 2007 19:02:24 +0000
Matthew Seaman <m_(_dot_)_seaman_(_at_)_infracaninophile_(_dot_)_co_(_dot_)_uk> wrote:

> In most of the common cases where alternative dependencies are
> available in the ports, there will be a mechanism available for
> choosing amongst various different ones coded into the port Makefile.



I think that one thing that the ports system lacks is a simple origin
substitution variable in make.conf that you can use when all else fails,
e.g.

SUBSTITUTE_ORIGINS+= devel/pcre|devel/pcre-utf8

to make things that depend on devel/pcre depend on devel/pcre-utf8
instead.

It's not automatic, but it is simple and transparent.
_______________________________________________
freebsd-questions_(_at_)_freebsd_(_dot_)_org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscribe_(_at_)_freebsd_(_dot_)_org"